.login-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 20px auto;
    padding: 20px;
    width: auto;
    border: 1px solid #ccc;
    border-radius: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    background-color: #f9f9f9;
}

.g-recaptcha {
    display: flex;
    justify-content: center;
    margin: 20px auto;
    width: 100%;
}

/* Для центрирования iframe внутри контейнера */
.g-recaptcha > div {
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
    margin: 0 auto !important;
}

/* Стили для контейнера ввода */
.login-input-container {
    width: 100%;
    margin-bottom: 20px;
}

/* Стили для меток и полей ввода */
.form-label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
    font-size: 20px;
}

input {
    width: 100%;
    padding: 8px;
    margin-bottom: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    font-size: 30px;
}

/* Стили для контейнера кнопки */
.login-button-container {
    display: flex;
    justify-content: center;
}

/* Стили для кнопки входа */
.login-button {
    background-color: red;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease-in-out;
    font-size: 20px;
    margin: 20px;
}

.login-button:hover {
    background-color: #B00000;
}

/* Стили для сообщений об ошибках */
.form-error {
    color: red;
    font-size: 0.9em;
    margin-top: -8px;
    margin-bottom: 10px;
}

.login-title {
    font-size: 2em;
    font-weight: bold;
    color: white;
    text-align: center;
    margin-bottom: 20px;
    text-transform: uppercase;
    letter-spacing: 2px;
}

.login-container-general {
    position: relative;
    margin: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

@media (min-width: 0px) and (max-width: 350px) {
    .login-container {
        width: 100%;
    }
    .login-container-general {
        width: 90%;
        margin-top: 30px;
        margin-right: auto;
        margin-left: auto;
    }
    .login-title {
        font-size: 1.6em;
    }
    .rc-anchor-normal, .g-recaptcha, .g-recaptcha div, iframe {
        width: 100% !important;
    }
    .login-container form {
        width: 100%;
        flex-wrap: wrap;
    }
    iframe {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 100%;
    }
}


@media (min-width: 350px) and (max-width: 767px) {
    .login-container {
        width: auto;
        margin: 20px;
    }
    .login-container-general {
        margin-top: 30px;
        margin-right: auto;
        margin-left: auto;
    }
    .login-title {
        font-size: 1.6em;
    }
}

/* Медиазапросы для экранов от 2000px */
@media (min-width: 2000px) {
    .login-container {
        padding: 40px;
        border: 2px solid #ccc;
        border-radius: 16px;
    }
    .g-recaptcha {
        transform: scale(1.5);
        margin: 100px auto;
    }
}

/* Медиазапросы для экранов от 4000px */
@media (min-width: 4000px) {
    .login-container {
        padding: 40px;
        border: 2px solid #ccc;
        border-radius: 16px;
    }
    .g-recaptcha {
        transform: scale(2.5);
        margin: 100px auto;
    }
    .login-input-container {
        margin-bottom: 40px;
    }
    .form-label {
        margin-bottom: 10px;
        font-size: 80px;
    }
    input {
        padding: 16px;
        margin-bottom: 20px;
        border: 2px solid #ccc;
        border-radius: 8px;
        font-size: 60px;
    }
    .login-button {
        padding: 20px 40px;
        border-radius: 10px;
        font-size: 60px;
    }
    .form-error {
        margin-top: -16px;
        margin-bottom: 20px;
    }
    .login-title {
        margin-bottom: 40px;
    }
}